
Log Reporting - Bug #7345

NullPointer exception thrown after first call to getLogRecords

2015-09-13 21:02 - Robert Waltz

Status: Closed Start date: 2015-09-13

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Not much to go on for this one,

[ERROR] 2015-09-13 20:43:42,957 (StdOutErrLog$2:print:51) 157297 [hz.hzProcessInstance.cached.thread-4] INFO

org.dataone.client.rest.RestClient - rest call info: GET 

https://mn-demo-6.test.dataone.org/knb/d1/mn/v2/log?fromDate=1900-01-01T00:00:00.001%2B00:00&toDate=1957-11-07T00:00:00

.001%2B00:00&start=0&count=1000

[ERROR] 2015-09-13 20:43:42,958 (StdOutErrLog$2:print:51) 157298 [hz.hzProcessInstance.cached.thread-4] INFO

org.dataone.service.util.ExceptionHandler - response httpCode: 200

[ERROR] 2015-09-13 20:43:42,962 (StdOutErrLog$2:print:51) 157302 [LogAggregationQuartzScheduler_Worker-2] ERROR

org.dataone.cn.batch.logging.jobs.LogAggregationHarvestJob - Job-urn:node:mnDemo6 ExecutionException-

urn:node:mnDemo6-java.lang.NullPointerException

Associated revisions

Revision 16295 - 2015-09-13 22:50 - Robert Waltz

fixes #7345

I don't know how the arrayList maintained by these collections get overwritten or set to null, but it seems we need to check before every operation

Revision 16295 - 2015-09-13 22:50 - Robert Waltz

fixes #7345

I don't know how the arrayList maintained by these collections get overwritten or set to null, but it seems we need to check before every operation

Revision 16296 - 2015-09-13 22:53 - Robert Waltz

fixes #7345

I don't know how the arrayList maintained by these collections get overwritten or set to null, but it seems we need to check before every operation

Revision 16296 - 2015-09-13 22:53 - Robert Waltz

fixes #7345

I don't know how the arrayList maintained by these collections get overwritten or set to null, but it seems we need to check before every operation

History

#1 - 2015-09-14 13:18 - Robert Waltz

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

Applied in changeset d1-python:d1_python|r16295.
